2019-08-25 03:08 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0005574Spring engineGeneralpublic2017-06-18 10:07
ReporterGoogle_Frog 
Assigned ToKloot 
PrioritynormalSeveritycrashReproducibilityhave not tried
StatusresolvedResolutionfixed 
Product Version103.0 +git 
Target VersionFixed in Version103.0 +git 
Summary0005574: 103.0.1-939 various failues to allocate memory
DescriptionHere is a slew of crashes with failure to allocate memory. They seem to occur in different situations but I did not want to spam mantis:
 * https://github.com/ZeroK-RTS/CrashReports/issues/1177
 * https://github.com/ZeroK-RTS/CrashReports/issues/1179
 * https://github.com/ZeroK-RTS/CrashReports/issues/1182
 * https://github.com/ZeroK-RTS/CrashReports/issues/1183
 * https://github.com/ZeroK-RTS/CrashReports/issues/1184
 * https://github.com/ZeroK-RTS/CrashReports/issues/1187
TagsNo tags attached.
Checked infolog.txt for lua Errors
Attached Files

-Relationships
has duplicate 0005580resolvedKloot 103.0.1-939 Another desync 
has duplicate 0005581closed 103.0.1-939 New terrain texture gadget error 
has duplicate 0005584closed 103.0.1-980 Access violation on shutdown 
+Relationships

-Notes

~0017705

Kloot (developer)

Last edited: 2017-05-27 16:23

View 2 revisions

1177 -> useless

1179 (after s/Unknown/spring.exe)
  rts/System/Platform/Win/CrashHandler.cpp:185
  rts/System/Platform/Win/CrashHandler.cpp:347
  /opt/mxe/tmp-gcc/gcc-4.8.1/libstdc++-v3/libsupc++/new_op.cc:58
  rts/Map/SMF/SMFGroundTextures.cpp:498
  rts/Map/SMF/SMFGroundTextures.cpp:394
  rts/Map/SMF/SMFGroundDrawer.cpp:512
  rts/Rendering/WorldDrawer.cpp:151
  rts/Game/Game.cpp:1160
  rts/Game/Game.cpp:1239
  rts/System/SpringApp.cpp:858
  rts/System/SpringApp.cpp:888
  rts/System/Main.cpp:46
  rts/System/Main.cpp:95

1182, 1183 -> useless
1184 seems like a normal exit?

1187 (after s/Unknown/spring.exe)
  rts/System/Platform/Win/CrashHandler.cpp:185
  rts/System/Platform/Win/CrashHandler.cpp:347
  /opt/mxe/tmp-gcc/gcc-4.8.1/libstdc++-v3/libsupc++/new_op.cc:58
  rts/Rendering/Env/Decals/GroundDecalHandler.cpp:636
  rts/Rendering/Env/Decals/GroundDecalHandler.cpp:524
  rts/Rendering/WorldDrawer.cpp:285
  rts/Rendering/WorldDrawer.cpp:248
  rts/Game/Game.cpp:1306
  rts/System/SpringApp.cpp:858
  rts/System/SpringApp.cpp:888
  rts/System/Main.cpp:46
  rts/System/Main.cpp:95

~0017706

Kloot (developer)

NB: 1179 probably has a lot to do with the Lua error in 1186 ("[LuaRules::RunCallInTraceback] error=2 (LUA_ERRRUN) callin=DrawGenesis trace=[Internal Lua error: Call failure] [string "LuaRules/Gadgets/terrain_texture_handler.lu..."]:350: bad argument #1 to 'RenderToTexture' (string expected, got nil)")

~0017846

Kloot (developer)

these are largely fixed.

excessive ZK terraforming can still cause 1179 but should be handled by game logic.
+Notes

-Issue History
Date Modified Username Field Change
2017-05-27 15:27 Google_Frog New Issue
2017-05-27 16:22 Kloot Note Added: 0017705
2017-05-27 16:23 Kloot Note Edited: 0017705 View Revisions
2017-05-27 16:26 Kloot Note Added: 0017706
2017-05-28 11:02 Kloot Relationship added has duplicate 0005580
2017-05-28 12:05 Kloot Relationship added has duplicate 0005581
2017-05-30 11:39 Kloot Relationship added has duplicate 0005584
2017-06-18 10:07 Kloot Assigned To => Kloot
2017-06-18 10:07 Kloot Status new => resolved
2017-06-18 10:07 Kloot Resolution open => fixed
2017-06-18 10:07 Kloot Fixed in Version => 103.0 +git
2017-06-18 10:07 Kloot Note Added: 0017846
+Issue History